Summary:	Wireless ethernet configuration tools
Summary(pl.UTF-8):	Narzędzia do konfiguracji sieci bezprzewodowej
Summary(pt_BR.UTF-8):	Ferramentas para redes sem fio
Name:		wireless-tools
Version:	29
Release:	4
Epoch:		1
License:	GPL v2
Group:		Networking/Admin
Source0:	http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/wireless_tools.%{version}.tar.gz
# Source0-md5:	e06c222e186f7cc013fd272d023710cb
Patch0:		%{name}-llh.patch
Patch1:		%{name}-optflags.patch
URL:		http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%define		specflags	-fno-strict-aliasing

%description
This package contains the Wireless tools, used to manipulate the
Wireless Extensions. The Wireless Extension is an interface allowing
you to set Wireless LAN specific parameters and get the specific stats
for wireless networking equipment.

%description -l pl.UTF-8
Narzędzie używane do manipulacji Rozszerzeniami Bezprzewodowymi.
Rozszerzenia Bezprzewodowe to interfejs pozwalający na ustawianie
parametrów i uzyskiwanie statystyk na temat bezprzewodowych urządzeń.

%description -l pt_BR.UTF-8
Este pacote contém ferramentas para redes sem fio, utilizadas para
manipular as wireless extensions. Wireless extensions é uma interface
que permite que você modifique parâmetros específicos para redes sem
fio e verificar estatísticas sobre estas.

%package -n libiw
Summary:	Wireless Extension library
Summary(pl.UTF-8):	Biblioteka rozszerzeń bezprzewodowych
Group:		Libraries

%description -n libiw
Wireless Extension library.

%description -n libiw -l pl.UTF-8
Biblioteka rozszerzeń bezprzewodowych.

%package -n libiw-devel
Summary:	Wireless Extension library (development files)
Summary(pl.UTF-8):	Biblioteka rozszerzeń bezprzewodowych (pliki developerskie)
Group:		Development/Libraries
Requires:	libiw = %{epoch}:%{version}-%{release}

%description -n libiw-devel
Wireless Extension library (development files).

%description -n libiw-devel -l pl.UTF-8
Biblioteka rozszerzeń bezprzewodowych (pliki developerskie).

%package -n libiw-static
Summary:	Wireless Extension library (static library)
Summary(pl.UTF-8):	Biblioteka rozszerzeń bezprzewodowych (biblioteka statyczna)
Group:		Development/Libraries
Requires:	libiw-devel = %{epoch}:%{version}-%{release}

%description -n libiw-static
Wireless Extension library (static library).

%description -n libiw-static -l pl.UTF-8
Biblioteka rozszerzeń bezprzewodowych (biblioteka statyczna).

%prep
%setup -q -n wireless_tools.%{version}
%patch0 -p1
%patch1 -p1

sed -i -e 's#__user##g' iwlib.h wireless.22.h

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%{__make} libiw.a \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/%{_lib},%{_libdir},%{_includedir},%{_mandir}/man8}

%{__make} install install-dynamic install-static \
	INSTALL_DIR=$RPM_BUILD_ROOT%{_sbindir} \
	INSTALL_LIB=$RPM_BUILD_ROOT%{_libdir} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}

mv -f $RPM_BUILD_ROOT%{_libdir}/libiw.so.* $RPM_BUILD_ROOT/%{_lib}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libiw.so
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo libiw.so.*) \
	$RPM_BUILD_ROOT%{_libdir}/libiw.so

install -d $RPM_BUILD_ROOT%{_mandir}/{cs,fr}/man{5,7,8}
install cs/*.5 $RPM_BUILD_ROOT%{_mandir}/cs/man5
install cs/*.7 $RPM_BUILD_ROOT%{_mandir}/cs/man7
install cs/*.8 $RPM_BUILD_ROOT%{_mandir}/cs/man8
install fr/*.5 $RPM_BUILD_ROOT%{_mandir}/fr/man5
install fr/*.7 $RPM_BUILD_ROOT%{_mandir}/fr/man7
install fr/*.8 $RPM_BUILD_ROOT%{_mandir}/fr/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libiw -p /sbin/ldconfig
%postun	-n libiw -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc READ* INSTA* PCM*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[578]/*
%lang(cs) %{_mandir}/cs/man[578]/*
%lang(fr) %{_mandir}/fr/man[578]/*

%files -n libiw
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libiw.so.*

%files -n libiw-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiw.so
%{_includedir}/*.h

%files -n libiw-static
%defattr(644,root,root,755)
%{_libdir}/libiw.a
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireless-tools.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a64229f
- x32 rebuild
- release 4 (by relup.sh)

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> 5025ab1
- rel 3
- if program resides in /sbin then all its libs must be in /lib

* Sun Nov 11 2007 Elan Ruusamäe <glen@pld-linux.org> 08b1847
- rel 2 (rel 1 is for ac)

* Sun Nov 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f7e791e
- up to final 29

* Mon Jul 09 2007 Szymon Siwek <sls@pld-linux.org> 4e6a7af
- rel. 1
- updated llh.patch

* Mon Jul 09 2007 Szymon Siwek <sls@pld-linux.org> af130d9
- updated to ver. 29.pre22

* Mon Jul 09 2007 Szymon Siwek <sls@pld-linux.org> 0b0b91c
- ver. 29.pre22

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> f2be7e5
- make cleanup, avoid recompiling on install
- install cs and fr manuals

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e9277a7
- up to pre21

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> abe5bf5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6153693
- converted to UTF-8

* Wed Dec 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 9d1fdc6
- typo, more verbose files

* Mon Oct 02 2006 Paweł Sikora <pluto@pld-linux.org> 812aeeb
- updated to 29-pre10.
  the main features of the latest beta is WE-21 support (long/short retry,
  power saving level, modulation), enhanced command line parser in iwconfig,
  scanning options, more WPA support and more footprint reduction tricks.

* Mon Oct 02 2006 Paweł Sikora <pluto@pld-linux.org> 2d081bd
- updated for 29.pre10.

* Sat May 27 2006 maciek2w <maciek2w@pld-linux.org> 67acb06
- fix changelog

* Sat May 27 2006 maciek2w <maciek2w@pld-linux.org> 5239d51
- updated to stable 28

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 8857d69
- orphaned, outdated

* Sun Mar 19 2006 Paweł Sikora <pluto@pld-linux.org> 8115ce7
- updated to 28pre15.

* Sun Mar 19 2006 Paweł Sikora <pluto@pld-linux.org> 3f5d785
- typos.

* Sun Mar 19 2006 Paweł Sikora <pluto@pld-linux.org> 32aa254
- updated.

